Error when patching SQL Server 2005

Hello,

Security Update KB970895 for SLQ Server 2005 SP2 fails to install for the following reason.  What do we do next to get around this issue?

Setup Log shows this:

Products Detected                         Language  Level  Patch Level       Platform  Edition
SQL Server Database Services 2005 (ACT7)  ENU       SP1    2005.090.2170.00  x86       EXPRESS
SQL Server Database Services 2005 (MSSQLSERVER)  ENU       SP2    2005.090.3042.00  x86       STANDARD
SQL Server Analysis Services 2005 (MSSQLSERVER)  ENU       SP4    2005.090.5000.00  x86       STANDARD
SQL Server Notification Services 2005     ENU       SP4       9.00.5057.00  x86       STANDARD
SQL Server Integration Services 2005      ENU       SP4       9.00.5057.00  x86       STANDARD
SQL Server Tools and Workstation Components 2005  ENU       SP4           9.4.5057  x86       STANDARD

**********************************************************************************
Products Disqualified & Reason
Product                                   Reason
SQL Server Database Services 2005 (ACT7)  The product instance ACT7 has had update 2170 applied. You cannot install GDR update 3080 overtop update 2170. An update of build equal to or greater than 3353 should be downloaded.
SQL Server Database Services 2005 (MSSQLSERVER)  Service was found to be disabled
SQL Server Analysis Services 2005 (MSSQLSERVER)  The product instance MSSQLSERVER has had update 5000 applied. You cannot install GDR update 3080 overtop update 5000. An update of build equal to or greater than 3353 should be downloaded.
SQL Server Notification Services 2005     The product instance NS has had update 5057 applied. You cannot install GDR update 3080 overtop update 5057. An update of build equal to or greater than 3353 should be downloaded.
SQL Server Integration Services 2005      The product instance Integration Services has had update 5057 applied. You cannot install GDR update 3080 overtop update 5057. An update of build equal to or greater than 3353 should be downloaded.
SQL Server Tools and Workstation Components 2005  The product instance SQL Tools has had update 5057 applied. You cannot install GDR update 3080 overtop update 5057. An update of build equal to or greater than 3353 should be downloaded.


Thanks
LVL 1
cloughsAsked:
Who is Participating?

[Webinar] Streamline your web hosting managementRegister Today

x
 
cloughsConnect With a Mentor Author Commented:
Managed to resolve this myself by reinstalling SQL Server 2005 then re-service packing it in sequence.
0
 
AlexiosCommented:
0
 
cloughsAuthor Commented:
No it hasnt worked.  Any more ideas?
0
 
cloughsAuthor Commented:
Question got ignored by the experts :(
0
All Courses

From novice to tech pro — start learning today.